View Issue Details

IDProjectCategoryView StatusLast Update
0016487MediaMonkey 5Playlistspublic2020-04-07 16:58
Reporterrusty 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0016487: Playlist edits get applied to multiple playlists
DescriptionEdits to an AutoPlaylist get are sometimes applied to multiple playlists.

I wonder if the issue is related to 0016217 .
Steps To Reproduce1 Create a container Playlist
2 Copy AutoPlaylist1 and AutoPlaylist2 to the container
3 Edit the number of tracks in the 'Limit to' field for Playlist1
5 Click the parent folder via the Breadcrumb bar
6 Click AutoPlaylist2 and then Edit
--> the edit to the number of tracks performed at step 3 has been applied to AutoPlaylist2 !!
7 Restart MM and Click AutoPlaylist2 and then Edit
--> the issue no longer appears (implying that it may be some sort of refresh problem)

https://www.screencast.com/t/1psPhp6CwF8
TagsNo tags attached.
Fixed in build2239

Activities

rusty

2020-04-03 19:41

administrator  

Playlist-edits-mixup.7z (92,608 bytes)

Ludek

2020-04-04 12:49

developer   ~0057482

Last edited: 2020-04-04 12:49

View 3 revisions

At first I couldn't replicate according to the video, but surprisingly the key factor to replicate is to have different "Selected by" for both playlists.
i.e. the first playlist has Selected by: "Random track" and the second has Selected by: "Random track (refresh all)".
If both would have "Random track (refresh all)" then the bug is _not_ replicable.

Ludek

2020-04-04 13:08

developer   ~0057483

Fixed in 2239

rusty

2020-04-07 16:58

administrator   ~0057518

Verified 2239.